using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Швейная_фабрика
{
    public partial class FormAddIzdelie : Form
    {
        public FormAddIzdelie()
        {
            InitializeComponent();
        }

        private void FormAddIzdelie_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "сlothesFactoryLGDataSet.Izdelie". При необходимости она может быть перемещена или удалена.
            this.izdelieTableAdapter.Fill(this.сlothesFactoryLGDataSet.Izdelie);
            if (LblFunc.Text == "Добавление изделия")
                BSizdelie.AddNew();
        }

        private void BtnSave_Click(object sender, EventArgs e)
        {
            if (TbxNameIzd.Text.Trim() == "" || TbxW.Text.Trim() == "" || TbxL.Text.Trim() == "")
            {
                MessageBox.Show("Заполните все поля.", "Внимание!", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
            if (TbxL.Text == "0" || TbxW.Text == "0")
            {
                MessageBox.Show("Длинна и ширина должны быть > 0.", "Внимание!", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
            BSizdelie.EndEdit();
            this.izdelieTableAdapter.Update(this.сlothesFactoryLGDataSet.Izdelie);
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void TbxL_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!char.IsDigit(e.KeyChar))
                e.Handled = true;
            if ((Keys)e.KeyChar == Keys.Back || (Keys)e.KeyChar == Keys.Delete)
                e.Handled = false;
        }
    }
}
